<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/layout/template.xhtml">

    <ui:define name="content">

        <div>
            <h1>
                HL7V2 Simulators
            </h1>
        </div>


        <div class="card">
            <h:form>
                <p:panel columns="1" layout="grid" styleClass="showcase-text-align-center">

                    <h:outputText
                            value="HL7V2Simulators est la partie de la plateforme Gazelle dédiée à la simulation de la transmission des messages Hl7v2."/>
                    <br/>
                    <h:outputText
                            value="Le premier simulateur imite la transmission d'une architecture de document clinique (CDA) à une application réceptrice. Le créateur du simulateur s'attend à recevoir autant d'accusés de réception que le demande le message."/>
                    <br/>
                    <h:outputText
                            value="Le second simulateur agit comme un serveur, recevant tout message CDA qui lui est envoyé. Il renvoie ensuite à son expéditeur autant d'accusés de réception que demandé dans le message."/>
                    <br/>
                    <h:outputText
                            value="En ce qui concerne les simulateurs HL7v2, l'application rassemble également les modèles HL7."/>
                    <br/>
                    <br/>
                    <b>
                    <h:outputText
                            value="Informations réseau (pour configuration de vos firewalls):"/>
                    </b>
                    <br/>
                    <br/>
                    <h:outputText
                            value="Pour des raisons de sécurité, le simulateur HL7v2 est autorisé à envoyer des messages HL7v2 uniquement sur la plage de port 10100 à 10150. Merci de configurer votre système sous test en conséquence afin de recevoir les messages émis par l’outil."/>
                </p:panel>
            </h:form>
        </div>


    </ui:define>
</ui:composition>
